%define module_name Crypt-RHash
# BEGIN SourceDeps(oneline):
BuildRequires: libssl-devel perl(ExtUtils/MakeMaker.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.05
Release: alt1
Summary: Library for computing hash sums and magnet links
Group: Development/Perl
License: open_source
URL: http://rhash.sf.net/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RH/RHASH/%{module_name}-%{version}.tar.gz

%description
Crypt::Rhash module is an object-oriented interface to the LibRHash library,
allowing simultaneous calculation of several hash functions for a file  or a
text message.

Resulting hash digest can be obtained in hexadecimal, BASE32, BASE64, raw
binary format or as a magnet link.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CONTRIBUTING.md README COPYING
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
* Mon Apr 07 2025 Igor Vlasenko <viy@altlinux.org> 1.05-alt1
- updated by package builder

* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.00-alt3
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.00-alt2
- rebuild with perl 5.34.0

* Tue Feb 16 2021 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1
- updated by package builder

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.99-alt2
- rebuild with perl 5.30

* Sun Jul 19 2020 Igor Vlasenko <viy@altlinux.ru> 0.99-alt1
- updated by package builder

* Sun Dec 15 2019 Igor Vlasenko <viy@altlinux.ru> 0.98_1-alt1
- updated by package builder

* Wed Dec 11 2019 Igor Vlasenko <viy@altlinux.ru> 0.98-alt1
- updated by package builder

* Sun Feb 10 2019 Igor Vlasenko <viy@altlinux.ru> 0.97-alt1
- updated by package builder

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.96-alt1.1
- rebuild with perl 5.28.1

* Wed Jan 02 2019 Igor Vlasenko <viy@altlinux.ru> 0.96-alt1
- regenerated from template by package builder

* Tue Jan 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.95-alt1
- regenerated from template by package builder

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.94-alt2
- rebuild with perl 5.26

* Sun Sep 24 2017 Igor Vlasenko <viy@altlinux.ru> 0.94-alt1
- regenerated from template by package builder

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.93-alt2
- rebuild to get rid of unmets

* Wed Nov 30 2016 Igor Vlasenko <viy@altlinux.ru> 0.93-alt1
- regenerated from template by package builder

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.91-alt2.1
- rebuild with perl 5.22

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.91-alt2
- rebuild to get rid of unmets

* Fri Mar 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.91-alt1
- initial import by package builder

